Summary: SDL2 graphics drawing primitives and other support functions
Name: SDL2_gfx
Version: 1.0.4
Release:    1%{?dist}
License: Zlib
URL: http://www.ferzkopp.net/Software/SDL2_gfx-2.0/
Source0: http://www.ferzkopp.net/Software/SDL2_gfx/%{name}-%{version}.tar.gz
Patch1: 0002-test-format-security.patch

BuildRequires: make
BuildRequires: gcc libtool
BuildRequires: SDL2-devel
BuildRequires: SDL2-static
BuildRequires: doxygen

%description
Library providing graphics drawing primitives and other support functions
wrapped up in an addon library for the Simple Direct Media version 2 (SDL2)
cross-platform API layer.

%package devel
Summary: Development files for SDL2_gfx
Requires: %{name} = %{version}-%{release}
Requires: SDL2-devel

%description devel
This package contains the files required to develop programs which use SDL2_gfx.

%package docs
Summary: API Documentation for SDL2_gfx
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description docs
This package contains the API documentation for SDL2_gfx library.

%prep
%autosetup -p1
find -name '*.[ch]' |xargs chmod -x
chmod -x NEWS README AUTHORS COPYING
mv test/TestGfx.c test/testgfx.c
sed -i 's/\r//' README
autoreconf -ivf

%build
%configure \
%ifnarch %{ix86} x86_64
    --disable-mmx \
%endif
    --disable-static
%make_build

cd Docs
rm -rf html
doxygen html.doxyfile
cd ..

%install
%make_install

install -pm644 SDL2_gfxPrimitives_font.h %{buildroot}%{_includedir}/SDL2/

mkdir -p %{buildroot}%{_pkgdocdir}
cp -a Docs/html %{buildroot}%{_pkgdocdir}/

install -d %{buildroot}%{_libdir}/%{name}
install -Dpm0644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

find %{buildroot} -type f -name '*.la' -delete



%files
%license COPYING
%doc NEWS README AUTHORS
%{_libdir}/*.so.*

%files devel
%{_includedir}/SDL2/*.h
%{_libdir}/*.so
%{_libdir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files docs
%{_pkgdocdir}/html

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-1
- initial build
